ReservationRequests (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records, class: ReservationRequests

Package org.apache.hadoop.yarn.api.records

# Class ReservationRequests

java.lang.Object
org.apache.hadoop.yarn.api.records.ReservationRequests

@Public @Unstable public abstract class ReservationRequests extends Object
`ReservationRequests` captures the set of resource and constraints the user cares about regarding a reservation.

See Also:
  - `ReservationRequest`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReservationRequests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract ReservationRequestInterpreter`
  `getInterpreter()`
  Get the `ReservationRequestInterpreter`, representing how the list of resources should be allocated, this captures temporal ordering and other constraints.
  `abstract List<ReservationRequest>`
  `getReservationResources()`
  Get the list of `ReservationRequest` representing the resources required by the application
  `static ReservationRequests`
  `newInstance(List<ReservationRequest> reservationResources, ReservationRequestInterpreter type)`
  `abstract void`
  `setInterpreter(ReservationRequestInterpreter interpreter)`
  Set the `ReservationRequestInterpreter`, representing how the list of resources should be allocated, this captures temporal ordering and other constraints.
  `abstract void`
  `setReservationResources(List<ReservationRequest> reservationResources)`
  Set the list of `ReservationRequest` representing the resources required by the application

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReservationRequests

    public ReservationRequests()

- ## Method Details

  - ### newInstance

    @Public @Unstable public static ReservationRequests newInstance(List<ReservationRequest> reservationResources, ReservationRequestInterpreter type)

  - ### getReservationResources

    @Public @Unstable public abstract List<ReservationRequest> getReservationResources()
    Get the list of `ReservationRequest` representing the resources required by the application
    Returns:
      the list of `ReservationRequest`

  - ### setReservationResources

    @Public @Unstable public abstract void setReservationResources(List<ReservationRequest> reservationResources)
    Set the list of `ReservationRequest` representing the resources required by the application
    Parameters:
      `reservationResources` - the list of `ReservationRequest`

  - ### getInterpreter

    @Public @Unstable public abstract ReservationRequestInterpreter getInterpreter()
    Get the `ReservationRequestInterpreter`, representing how the list of resources should be allocated, this captures temporal ordering and other constraints.
    Returns:
      the list of `ReservationRequestInterpreter`

  - ### setInterpreter

    @Public @Unstable public abstract void setInterpreter(ReservationRequestInterpreter interpreter)
    Set the `ReservationRequestInterpreter`, representing how the list of resources should be allocated, this captures temporal ordering and other constraints.
    Parameters:
      `interpreter` - the `ReservationRequestInterpreter` for this reservation